Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model.parameter
Class Value

    java.lang.Object
      net.fortuna.ical4j.model.Content
          net.fortuna.ical4j.model.Parameter
              net.fortuna.ical4j.model.parameter.Value

All Implemented Interfaces:
  Serializable

    public class Value

extends Parameter

Defines a Value Data Type parameter.

Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary
`static Value` | `BINARY`
`static Value` | `BOOLEAN`
`static Value` | `CAL_ADDRESS`
`static Value` | `DATE`
`static Value` | `DATE_TIME`
`static Value` | `DURATION`
`static Value` | `FLOAT`
`static Value` | `INTEGER`
`static Value` | `PERIOD`
`static Value` | `RECUR`
`static Value` | `TEXT`
`static Value` | `TIME`
`static Value` | `URI`
`static Value` | `UTC_OFFSET`

Fields inherited from class net.fortuna.ical4j.model.Parameter
`ALTREP, CN, CUTYPE, DELEGATED_FROM, DELEGATED_TO, DIR, ENCODING, EXPERIMENTAL_PREFIX, FBTYPE, FMTTYPE, LANGUAGE, MEMBER, PARTSTAT, RANGE, RELATED, RELTYPE, ROLE, RSVP, SENT_BY, TZID, VALUE`

Constructor Summary
`Value(String aValue)`

Method Summary
`String` | `getValue()`

Methods inherited from class net.fortuna.ical4j.model.Parameter
`equals, getName, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BINARY

    public static final Value BINARY

### BOOLEAN

    public static final Value BOOLEAN

### CAL_ADDRESS

    public static final Value CAL_ADDRESS

### DATE

    public static final Value DATE

### DATE_TIME

    public static final Value DATE_TIME

### DURATION

    public static final Value DURATION

### FLOAT

    public static final Value FLOAT

### INTEGER

    public static final Value INTEGER

### PERIOD

    public static final Value PERIOD

### RECUR

    public static final Value RECUR

### TEXT

    public static final Value TEXT

### TIME

    public static final Value TIME

### URI

    public static final Value URI

### UTC_OFFSET

    public static final Value UTC_OFFSET

Constructor Detail

### Value

    public Value(String aValue)

Parameters:
  `aValue` - a string representation of a value data type

Method Detail

### getValue

    public final String getValue()

  Specified by:
    `getValue` in class `Parameter`
  Returns:
    Returns the value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.